All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
sum-of-c1-squares.hh File Reference
`#include <boost/shared_ptr.hpp>`
`#include <roboptim/core/differentiable-function.hh>`
`#include <roboptim/core/function.hh>`

## Classes

class | roboptim::SumOfC1Squares
| Sum of the squares of differentiable functions. More...

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.